org.apache.lucene.document

## Class TextField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.document.TextField

- All Implemented Interfaces:
    IndexableField

      public final class TextField
      extends Field

  A field that is indexed and tokenized, without term vectors. For example this would be used on a 'body' field, that contains the bulk of a document's text.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

      `Field.Index, Field.Store, Field.TermVector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FieldType` | `TYPE_NOT_STORED` Indexed, tokenized, not stored.
    `static FieldType` | `TYPE_STORED` Indexed, tokenized, stored.

    - ### Fields inherited from class org.apache.lucene.document.Field

      `boost, fieldsData, name, tokenStream, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextField(String name, Reader reader)` Creates a new un-stored TextField with Reader value.
    `TextField(String name, String value, Field.Store store)` Creates a new TextField with String value.
    `TextField(String name, TokenStream stream)` Creates a new un-stored TextField with TokenStream value.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.document.Field

      `binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_NOT_STORED

          public static final FieldType TYPE_NOT_STORED

      Indexed, tokenized, not stored.

    - #### TYPE_STORED

          public static final FieldType TYPE_STORED

      Indexed, tokenized, stored.

  - ### Constructor Detail

    - #### TextField

          public TextField(String name,
                   Reader reader)

      Creates a new un-stored TextField with Reader value.
      Parameters:
        `name` - field name
        `reader` - reader value
      Throws:
        `IllegalArgumentException` - if the field name is null
        `NullPointerException` - if the reader is null

    - #### TextField

          public TextField(String name,
                   String value,
                   Field.Store store)

      Creates a new TextField with String value.
      Parameters:
        `name` - field name
        `value` - string value
        `store` - Store.YES if the content should also be stored
      Throws:
        `IllegalArgumentException` - if the field name or value is null.

    - #### TextField

          public TextField(String name,
                   TokenStream stream)

      Creates a new un-stored TextField with TokenStream value.
      Parameters:
        `name` - field name
        `stream` - TokenStream value
      Throws:
        `IllegalArgumentException` - if the field name is null.
        `NullPointerException` - if the tokenStream is null

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.